OpenGL-3.0.3.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.GL.Texturing.Environments

Description

This module corresponds to section 3.8.13 (Texture Environments and Texture Functions) of the OpenGL 2.1 specs.

# Documentation

data TextureFunction Source #

Constructors

Modulate |
Decal |
Blend |
Replace |
AddUnsigned |
Combine |
Combine4 |

#### Instances

Instances details

Show TextureFunction Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Texturing.Environments Methods showsPrec :: Int -> TextureFunction -> ShowS Source # show :: TextureFunction -> String Source # showList :: [TextureFunction] -> ShowS Source #
Eq TextureFunction Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Texturing.Environments Methods (==) :: TextureFunction -> TextureFunction -> Bool Source # (/=) :: TextureFunction -> TextureFunction -> Bool Source #
Ord TextureFunction Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.Texturing.Environments

Methods

compare :: TextureFunction -> TextureFunction -> Ordering Source #

(<) :: TextureFunction -> TextureFunction -> Bool Source #

(<=) :: TextureFunction -> TextureFunction -> Bool Source #

(>) :: TextureFunction -> TextureFunction -> Bool Source #

(>=) :: TextureFunction -> TextureFunction -> Bool Source #

max :: TextureFunction -> TextureFunction -> TextureFunction Source #

min :: TextureFunction -> TextureFunction -> TextureFunction Source #

textureFunction :: StateVar TextureFunction Source #

data TextureCombineFunction Source #

Constructors

Replace' |
Modulate' |
AddUnsigned' |
AddSigned |
Interpolate |
Subtract |
Dot3RGB |
Dot3RGBA |

#### Instances

Instances details

Show TextureCombineFunction Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Texturing.Environments Methods showsPrec :: Int -> TextureCombineFunction -> ShowS Source # show :: TextureCombineFunction -> String Source # showList :: [TextureCombineFunction] -> ShowS Source #
Eq TextureCombineFunction Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Texturing.Environments Methods (==) :: TextureCombineFunction -> TextureCombineFunction -> Bool Source # (/=) :: TextureCombineFunction -> TextureCombineFunction -> Bool Source #
Ord TextureCombineFunction Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.Texturing.Environments

Methods

compare :: TextureCombineFunction -> TextureCombineFunction -> Ordering Source #

(<) :: TextureCombineFunction -> TextureCombineFunction -> Bool Source #

(<=) :: TextureCombineFunction -> TextureCombineFunction -> Bool Source #

(>) :: TextureCombineFunction -> TextureCombineFunction -> Bool Source #

(>=) :: TextureCombineFunction -> TextureCombineFunction -> Bool Source #

max :: TextureCombineFunction -> TextureCombineFunction -> TextureCombineFunction Source #

min :: TextureCombineFunction -> TextureCombineFunction -> TextureCombineFunction Source #

combineRGB :: StateVar TextureCombineFunction Source #

combineAlpha :: StateVar TextureCombineFunction Source #

data ArgNum Source #

Constructors

Arg0 |
Arg1 |
Arg2 |
Arg3 |

#### Instances

Instances details

Show ArgNum Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Texturing.Environments Methods showsPrec :: Int -> ArgNum -> ShowS Source # show :: ArgNum -> String Source # showList :: [ArgNum] -> ShowS Source #
Eq ArgNum Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Texturing.Environments Methods (==) :: ArgNum -> ArgNum -> Bool Source # (/=) :: ArgNum -> ArgNum -> Bool Source #
Ord ArgNum Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Texturing.Environments Methods compare :: ArgNum -> ArgNum -> Ordering Source # (<) :: ArgNum -> ArgNum -> Bool Source # (<=) :: ArgNum -> ArgNum -> Bool Source # (>) :: ArgNum -> ArgNum -> Bool Source # (>=) :: ArgNum -> ArgNum -> Bool Source # max :: ArgNum -> ArgNum -> ArgNum Source # min :: ArgNum -> ArgNum -> ArgNum Source #

data Arg Source #

Constructors

Arg BlendingFactor Src |

#### Instances

Instances details

Show Arg Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Texturing.Environments Methods showsPrec :: Int -> Arg -> ShowS Source # show :: Arg -> String Source # showList :: [Arg] -> ShowS Source #
Eq Arg Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Texturing.Environments Methods (==) :: Arg -> Arg -> Bool Source # (/=) :: Arg -> Arg -> Bool Source #
Ord Arg Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Texturing.Environments Methods compare :: Arg -> Arg -> Ordering Source # (<) :: Arg -> Arg -> Bool Source # (<=) :: Arg -> Arg -> Bool Source # (>) :: Arg -> Arg -> Bool Source # (>=) :: Arg -> Arg -> Bool Source # max :: Arg -> Arg -> Arg Source # min :: Arg -> Arg -> Arg Source #

data Src Source #

Constructors

CurrentUnit |
Previous |
Crossbar TextureUnit |
Constant |
PrimaryColor |

#### Instances

Instances details

Show Src Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Texturing.Environments Methods showsPrec :: Int -> Src -> ShowS Source # show :: Src -> String Source # showList :: [Src] -> ShowS Source #
Eq Src Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Texturing.Environments Methods (==) :: Src -> Src -> Bool Source # (/=) :: Src -> Src -> Bool Source #
Ord Src Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Texturing.Environments Methods compare :: Src -> Src -> Ordering Source # (<) :: Src -> Src -> Bool Source # (<=) :: Src -> Src -> Bool Source # (>) :: Src -> Src -> Bool Source # (>=) :: Src -> Src -> Bool Source # max :: Src -> Src -> Src Source # min :: Src -> Src -> Src Source #

argRGB :: ArgNum -> StateVar Arg Source #

argAlpha :: ArgNum -> StateVar Arg Source #

rgbScale :: StateVar GLfloat Source #

alphaScale :: StateVar GLfloat Source #

constantColor :: StateVar (Color4 GLfloat) Source #

textureUnitLODBias :: StateVar LOD Source #